## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/libimobiledevice/libtatsu
%global commit 3f768d0f0470c651e611d679a2fbb54027f8f6ed
%global date 20241202
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Name:           libtatsu
Version:        1.0.3^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Library handling the communication with Apple's TSS

License:        LGPL-2.1-only
URL:            https://github.com/libimobiledevice/libtatsu
Source:         %{forgeurl}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  libplist-devel >= 2.6.0
BuildRequires:  libcurl-devel

%description
The libtatsu library allows creating TSS request payloads, sending them to
Apple's TSS server, and retrieving and processing the response.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{commit} -p1

%if %{defined commit}
echo %{version} > .tarball-version
%endif

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static --prefix=%{_prefix} --libdir=%{_libdir} --enable-debug
%make_build

%install
%make_install

%check
make check

%files
%license COPYING
%doc NEWS README.md
%{_libdir}/%{name}.so.0*

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-1.0.pc

%changelog
## START: Generated by rpmautospec
* Tue Sep 03 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.3-1
- Initial import; Fixes: RHBZ#2292505
## END: Generated by rpmautospec
